VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TextLabelCreator Struct Reference

`#include <textlabelcreator.h>`

Inheritance diagram for TextLabelCreator:

## Public Member Functions
| TextLabelCreator ()
IdStringPtr | getViewName () const override
IdStringPtr | getBaseViewName () const override
UTF8StringPtr | getDisplayName () const override
CView * | create (const UIAttributes &attributes, const IUIDescription *description) const override
bool | apply (CView *view, const UIAttributes &attributes, const IUIDescription *description) const override
bool | getAttributeNames (StringList &attributeNames) const override
AttrType | getAttributeType (const string &attributeName) const override
bool | getAttributeValue (CView *view, const string &attributeName, string &stringValue, const IUIDescription *desc) const override
bool | getPossibleListValues (const string &attributeName, ConstStringPtrList &values) const override
Public Member Functions inherited from ViewCreatorAdapter
bool | apply (CView *view, const UIAttributes &attributes, const IUIDescription *description) const override
bool | getAttributeNames (StringList &attributeNames) const override
AttrType | getAttributeType (const string &attributeName) const override
bool | getAttributeValue (CView *view, const string &attributeName, string &stringValue, const IUIDescription *desc) const override
bool | getPossibleListValues (const string &attributeName, ConstStringPtrList &values) const override
bool | getAttributeValueRange (const string &attributeName, double &minValue, double &maxValue) const override
UTF8StringPtr | getDisplayName () const override
Public Member Functions inherited from IViewCreator
virtual | ~IViewCreator () noexcept=default

## Additional Inherited Members
Public Types inherited from IViewCreator
enum | AttrType { kUnknownType , kBooleanType , kIntegerType , kFloatType , kStringType , kColorType , kFontType , kBitmapType , kPointType , kRectType , kTagType , kListType , kGradientType }
using | string = std::string
using | StringList = std::list<string>
using | ConstStringPtrList = std::list<const string*>

## Constructor & Destructor Documentation

## ◆ TextLabelCreator()

TextLabelCreator | ( |  | ) |

## Member Function Documentation

## ◆ apply()

bool apply | ( | CView * | view,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | description ) const
| override virtual

Implements IViewCreator.

## ◆ create()

CView * create | ( | const UIAttributes & | attributes,
|  | const IUIDescription * | description ) const
| override virtual

Implements IViewCreator.

## ◆ getAttributeNames()

bool getAttributeNames | ( | StringList & | attributeNames | ) | const
| override virtual

Implements IViewCreator.

## ◆ getAttributeType()

auto getAttributeType | ( | const string & | attributeName | ) | const
| override virtual

Implements IViewCreator.

## ◆ getAttributeValue()

bool getAttributeValue | ( | CView * | view,
|  | const string & | attributeName,
|  | string & | stringValue,
|  | const IUIDescription * | desc ) const
| override virtual

Implements IViewCreator.

## ◆ getBaseViewName()

IdStringPtr getBaseViewName | ( |  | ) | const
| override virtual

Implements IViewCreator.

## ◆ getDisplayName()

UTF8StringPtr getDisplayName | ( |  | ) | const
| override virtual

Implements IViewCreator.

## ◆ getPossibleListValues()

bool getPossibleListValues | ( | const string & | attributeName,
|  | ConstStringPtrList & | values ) const
| override virtual

Implements IViewCreator.

## ◆ getViewName()

IdStringPtr getViewName | ( |  | ) | const
| override virtual

Implements IViewCreator.

The documentation for this struct was generated from the following files:

- textlabelcreator.h
- textlabelcreator.cpp